# OpenSC API Reference

sc_find_app_by_aid
3
opensc

# sc_find_app_by_aid

Find an application on a card

## Synopsis

    #include <opensc.h>

    const sc_app_info_t *sc_find_app_by_aid(sc_card_t *card,
                                            const unsigned char *aid,
                                            size_t aid_len);

## Description

This function finds an application on card by its aid. The AID's length is specified in aid_len.

Before calling this function, you MUST call sc_enum_apps() first.

## Return value

Returns a sc_app_info_t structure describing the application corresponding to aid, or NULL if none was found.